Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05358 Graphics Minor Always Nov 9, 2013, 04:49 16 days ago
Tester FMecha - aka ArtLine View Status Public Platform MAME (Official Binary)
Assigned To Ryan Holtz Resolution Fixed OS
Status [?] Resolved Driver namcofl.cpp
Version 0.151 Fixed in Version 0.234 Build
Fixed in Git Commit b04adc1 Github Pull Request #
Summary 05358: finalapr and clones: Objects in the side of the track are not shown
Description All objects on the side on the track, such as grandstands and trees, are not shown, except for a few guardrails. Also, the starting lights in the German (Hockenheim) stage is broken.
Steps To Reproduce
Additional Information PCB pictures, showing those objects:
http://fc04.deviantart.net/fs71/i/2012/351/0/1/final_lap_r_arcade_cabinet_by_ryugassj3-d5oalnp.jpg
http://2.bp.blogspot.com/_huYiuHPkstA/S7FPGFUCenI/AAAAAAAAAGc/eYC1VAHVOxs/S730/PICT2127.JPG

Maybe related to other finalapr graphics bugs?
Github Commit
Flags
Regression Version
Affected Sets / Systems finalapr and clones
Attached Files
png file icon fl-emma-0000.png (24,360 bytes) Nov 9, 2013, 04:50 Uploaded by FMecha - aka ArtLine
FMecha - aka ArtLine
jpg file icon PICT2127.JPG (133,605 bytes) Nov 10, 2013, 03:31 Uploaded by Fujix
Fujix
jpg file icon final_lap_r_arcade_cabinet_by_ryugassj3-d5oalnp.jpg (147,007 bytes) Nov 10, 2013, 03:32 Uploaded by Fujix
Fujix
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.09964
Fujix
Administrator
Nov 10, 2013, 03:32
Moved cabinet photos to here.
User avatar
No.14785
Dullaron
Tester
Feb 26, 2018, 20:18
I know this is old report but here is a video of this game. Should be mark as Imperfect on the graphics. Still mess up on 0.194. :)

User avatar
No.18964
Haze
Senior Tester
Jun 12, 2021, 04:54
edited on: Jun 12, 2021, 04:54
the missing graphics all appear to be stored upside down in ROM, or otherwise need drawing flipped.

while the sprite drawing code does support flipped drawing, I have a feeling this must be significant somehow.
User avatar
No.18965
Haze
Senior Tester
Jun 12, 2021, 05:25
edited on: Jun 12, 2021, 05:26
my gut feeling is a CPU emulation bug though, I've looked at the spritelist at various points, and don't see these objects in it (although I can't rule out having just picked poor times to look)
User avatar
No.18966
Cow
Tester
Jun 12, 2021, 18:55
there is also some weird graphics on the lowest pixel when you are playing the game.